import os

# Define the folder path
folder_path = os.path.expanduser("~/Downloads/Modular neoclassical building")

# Loop through the files in the folder
for filename in os.listdir(folder_path):
    # Check if "inversed corner" is in the filename
    if "inversed corner" in filename:
        # Replace "inversed corner" with "corner inverted"
        new_filename = filename.replace("inversed corner", "corner inverted")
        # Construct full file paths
        old_file = os.path.join(folder_path, filename)
        new_file = os.path.join(folder_path, new_filename)
        # Rename the file
        os.rename(old_file, new_file)
        print(f'Renamed: "{filename}" -> "{new_filename}"')

print("Renaming complete!")